// showbit2.h -- Header file for showbit2.cpp

#if !defined(__SHOWBIT2_H)
#define __SHOWBIT2_H

#include <stdio.h>
#include <owl\applicat.h>
#include <owl\mdi.h>
#include <owl\mdichild.h>
#include <owl\framewin.h>
#include <owl\dc.h>
#include <owl\gdiobjec.h>
#include <owl\scroller.h>
#include <owl\button.h>
#include <owl\mdi.rh>
#pragma hdrstop
#include <owl\dialog.h>
#include "show.rh"

// File names for bitmaps
#define FILENAME1 "animbg.bmp"
#define FILENAME2 "astron.bmp"

// ===========================================================
// The child window
// ===========================================================

class ImageWindow: public TMDIChild {
public:
	ImageWindow(TMDIClient& parent, char far* title);
	~ImageWindow();
	void AdjustScrollers();
	virtual void Paint(TDC& dc, BOOL erase, TRect& rect);
	void OpenDib(char far* fName);

protected:
	virtual void SetupWindow();
	void EvSize(UINT sizeType, TSize& size);
	void EvRButtonDown(UINT modKeys, TPoint& point);

private:
	TBitmap* bitmap;
	TRect clientRect;
	char fName[30];

	DECLARE_RESPONSE_TABLE(ImageWindow);
};

// ===========================================================
// The frame window
// ===========================================================

class TMyMDIFrame: public TMDIFrame {
public:
		TMyMDIFrame(const char far* title,
							TResId          menuResId,
							TMDIClient&     clientWnd = *new TMDIClient);
};

// ===========================================================
// The client window
// ===========================================================

class ImageFrame: public TMDIClient {
public:
	~ImageFrame();
protected:
	virtual void SetupWindow ();
	void OnNorth();
	void OnSouth();
private:
	ImageWindow *iw;
	TMDIChild* dialog;

	DECLARE_RESPONSE_TABLE(ImageFrame);
};

// ===========================================================
// The dialog window
// ===========================================================

class TMainDlg : public TDialog {
public:
	TMainDlg (TWindow*, TResId);
	virtual ~TMainDlg ();

	virtual void SetupWindow ();
	ImageFrame* frame;
	void OnNorth();
	void OnSouth();

DECLARE_RESPONSE_TABLE(TMainDlg);
};

#endif


